Login | Register For Free | Help
Search for: (Advanced)

Mailing List Archive: ClamAV: users

Update Clamav with Debian Lenny

 

 

ClamAV users RSS feed   Index | Next | Previous | View Threaded


n22e113 at yahoo

Aug 3, 2012, 5:28 AM

Post #1 of 3 (2733 views)
Permalink
Update Clamav with Debian Lenny

Hi, list,
To solve the problem (as root) :) My bad! I know!

1. Make sure you have zlib-devl, gcc and make (I use gcc-4.3):
# aptitude -y install zlib1g-dev gcc-4.3 make

2. Download the latest (July 2012) stable source:
# cd /usr/src && wget http://sourceforge.net/projects/clamav/files/clamav/0.97.5/clamav-0.97.5.tar.gz

3. Decompress:
# cd /usr/src && tar xvzf clamav-0.97.5.tar.gz

4. Complie with make
# cd /usr/src/clamav-0.97.5 && ./configure –sysconfdir=/etc/clamav –exec_prefix=/usr && make && make install

5. Once complete:
# /etc/init.d/clamav-daemon restart

That’s it! Cheers!

_______________________________________________
Help us build a comprehensive ClamAV guide: visit http://wiki.clamav.net
http://www.clamav.net/support/ml


ged at jubileegroup

Aug 4, 2012, 3:21 AM

Post #2 of 3 (2683 views)
Permalink
Re: Update Clamav with Debian Lenny [In reply to]

Hi there,

On Sat, 4 Aug 2012, n22e113 wrote:

> To solve the problem (as root) ...

Were you also going to explain why you're installing a security
product on a distribution for which security updates have been
discontinued since February 6th 2012?

http://www.debian.org/releases/lenny/

--

73,
Ged.
_______________________________________________
Help us build a comprehensive ClamAV guide: visit http://wiki.clamav.net
http://www.clamav.net/support/ml


jimlinux at commspeed

Aug 4, 2012, 12:41 PM

Post #3 of 3 (2680 views)
Permalink
Re: Update Clamav with Debian Lenny [In reply to]

On 08/04/2012 03:21 AM, G.W. Haywood wrote:
> Hi there,
>
> On Sat, 4 Aug 2012, n22e113 wrote:
>
>> To solve the problem (as root) ...
>
> Were you also going to explain why you're installing a security
> product on a distribution for which security updates have been
> discontinued since February 6th 2012?
>
> http://www.debian.org/releases/lenny/
>
> --
>
> 73,
> Ged.
>
Probably because the person has a too complicated system like I have
(Fedora Core 7) and the update from 6 to 7 was so difficult and time
consuming that I choose to just forgo upgrading again and went to
compiling from sources updates to vulnerable programs.

And please do not start a rant, this is meant to be somewhat humorous if
also somewhat sad and definitely not SOP or recommended. I have since
built a new box but am still (after several months) trying to get
application and data set moved over and working.

Jim

--
Jim Preston



_______________________________________________
Help us build a comprehensive ClamAV guide: visit http://wiki.clamav.net
http://www.clamav.net/support/ml

ClamAV users RSS feed   Index | Next | Previous | View Threaded
 
 


Interested in having your list archived? Contact Gossamer Threads
 
  Web Applications & Managed Hosting Powered by Gossamer Threads Inc.